Subject: Re: [MMUSIC] AD Review: draft-ietf-mmusic-t140-usage-data-channel - priority and label

From: Christer Holmberg <[email-masked]>
Date: Sun, 26 Jan 2020 20:48:52 +0000

Hi,
       
    ---------------------------------------------------------------------------

    §4.1:
    
     >>>  The offerer and answerer MAY include the priority attribute parameter
     >>>  and the label attribute parameter in the 'dcmap' attribute value.  If
     >>>  the offerer includes a label attribute parameter, the answerer MUST
     >>>  NOT change the value in the answer.
    >>>
    >>> This should be explicit about whether the answerer is allowed to add a label
    >>> if the offerer did not. It should also be clear about whether the 
    >>> priority is allowed to be different in the answer than in the offer.
    >>
    >> If not explicitly included, the default value is 256, so there will always be a value (implicit or explicit). I guess we can point that out.
    >>
    >> Perhaps something like:
   >>
   >> OLD:
   >>
   >> The offerer and answerer MAY include the priority attribute parameter
   >> and the label attribute parameter in the 'dcmap' attribute value.  If
   >> the offerer includes a label attribute parameter, the answerer MUST
   >> NOT change the value in the answer.
   >>
   >> NEW:
   >>
   >> The offerer and answerer MAY include the priority attribute parameter
   >> and the label attribute parameter in the 'dcmap' attribute value.  As
   >> defined in [I-D.ietf-mmusic-data-channel-sdpneg], in absence of the
   >> attribute parameter an attribute parameter value of 256 is assumed.
   >> The answerer MUST not change the value in the answer. 
   >>   
   > This is not clear enough. But the intention is to express exactly the same rules as specified in sdpneg. 
   > So, it would then be best to just refer to sdpneg according to this alternative proposed 
   >
   > NEW wording alternative 1:
   >
   > The offerer and answerer MAY include the priority attribute parameter
   > and the label attribute parameter in the 'dcmap' attribute value as
   > specified in [I-D.ietf-mmusic-data-channel-sdpneg]. 
   >
   > Alternatively, if you want to spell it out, I suggest the following complete description:
   >  
   > NEW wording alternative 2.
   >
   > The offerer and answerer MAY include the priority attribute parameter
   > and the label attribute parameter in the 'dcmap' attribute value.  As
   > defined in [I-D.ietf-mmusic-data-channel-sdpneg], in absence of the
   > priority attribute parameter a priority attribute parameter value of 256 is assumed.
   > In the absence of the label attribute parameter a label attribute parameter value of the empty string is assumed.
   > The answerer MUST not change the values in the answer. 
   >
   > I suggest to use alternative 1.

I am fine with that. I agree that there is nothing T.140-specific usage of those parameters, so we could simply reference the procedures in draft-data-channel-sdpneg.

Adam, are you ok with that?

Regards,

Christer